Opened 9 years ago

Closed 9 years ago

Last modified 9 years ago

#5374 closed defect (fixed)

MMC64: No music when Syd plays the piano

Reported by: SF/zaurak Owned by: Kirben
Priority: normal Component: Engine: SCUMM
Keywords: Cc:
Game: Maniac Mansion

Description

Version:ScummVM 1.2.0svn 52748 (Sep 16 2010 23:19:35)
System: Windows XP
Game: Maniac Mansion C64 (German language)
playing with Dave, Syd & Bernard

Bug description: If Syd plays the piano (Benutze Klavier) there should play a music (HVSC SID music file \MUSICIANS\G\Grigg_Chris\Maniac_Mansion.sid - subsong 2). The music isn't playing.

Ticket imported from: #3070077. Ticket imported from: bugs/5374.

Attachments (3)

MMC64piano.png (11.2 KB ) - added by SF/zaurak 9 years ago.
Screenshot
maniaca.s02 (6.2 KB ) - added by SF/zaurak 9 years ago.
Save game
Maniac_Mansion.sid (10.6 KB ) - added by SF/zaurak 9 years ago.
SID music file

Download all attachments as: .zip

Change History (8)

by SF/zaurak, 9 years ago

Attachment: MMC64piano.png added

Screenshot

by SF/zaurak, 9 years ago

Attachment: maniaca.s02 added

Save game

by SF/zaurak, 9 years ago

Attachment: Maniac_Mansion.sid added

SID music file

comment:1 by Kirben, 9 years ago

Owner: set to Kirben
Resolution: fixed
Status: newclosed

comment:2 by Kirben, 9 years ago

The music was started and stopped too quickly, due to the VAR_IS_SOUND_RUNNING variable not be set by ScummVM,

Fixed in ScummVM SVN, use the next daily snapshot of ScummVM SVN.

comment:3 by SF/zaurak, 9 years ago

The bug is still present. The piano music isn't playing. Tested with ScummVM 1.2.0pre52792 (Sep 18 2010 21:41:48).

comment:4 by Kirben, 9 years ago

The bug was fixed in revisions 52797/52798.

Try the current Windows daily snapshot, which was just updated.

comment:5 by SF/zaurak, 9 years ago

Works fine with ScummVM 1.2.0pre52814 (Sep 20 2010 10:11:50).

Note: See TracTickets for help on using tickets.